{ pkgs, ... }:
{
  imports = [
    ./hardware-configuration.nix
    ../../roles/desktop/steamos.nix
  ];

  roles = {
    audio.enable = true;
    bluetooth.enable = true;
    desktop = {
      enable = true;
      wayland = true;
      gaming.enable = true;
      kde = true;
      steamos = {
        enable = true;
        autoStart = true;
        desktopSession = "plasma";
      };
    };
    remote-build.builders = [
      {
        hostName = "zix790prors.oglehome";
        maxJobs = 16;
        speedFactor = 4;
      }
      {
        hostName = "john-endesktop.oglehome";
        maxJobs = 1;
        speedFactor = 2;
      }
    ];
    users = {
      enable = true;
      extraGroups = [ "video" ];
    };
  };

  # Bootloader
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "nix-deck";
  networking.networkmanager.enable = true;

  system.stateVersion = "25.05";
}
